httpd-docs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christophe JAILLET <christophe.jail...@wanadoo.fr>
Subject Re: svn commit: r1793922 - in /httpd/httpd/branches/trunk-override-index/docs/manual: index.xml mod/core.xml mod/overrides.xml sitemap.xml style/css/manual.css style/modulesynopsis.dtd style/xsl/common.xsl style/xsl/overrideindex.xsl
Date Thu, 27 Sep 2018 20:54:51 GMT
Le 27/09/2018 à 21:43, Jacob Champion a écrit :
> On Thu, Sep 27, 2018, 1:10 AM Christophe JAILLET 
> <christophe.jaillet@wanadoo.fr <mailto:christophe.jaillet@wanadoo.fr>> 
> wrote:
>
>     So, if we want to use either XSLT engine, we should avoid this
>     functionality.
>
>
> I'm not an XSLT expert, but it seems like trying to maintain 
> compatibility for both XSLT 1.0 and 3.0 simultaneously could be a 
> serious pain. If we're updating the toolchain, is it time to also 
> update the XSLT version we've standardized on?
>
> --Jacob
>
+1

All warnings/error generated by Saxon are now fixed on trunk and are 
compatible with Xalan, except this EXSLT issue.

We'll need to move forward and use Java 9+ one day. The bug in (the 
un-maintained) Xalan, will stop us, unless we find a work-around.

Switching to UTF-8 is apparently a solution.
Using another (maintained) XSLT engine is another approach.

Would be +1 for the latter.

CJ



Mime
View raw message